Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12331)
@@ -49,5 +49,5 @@
 #include "OrxoBloxCenterpoint.h"
 #include "OrxoBloxBall.h"
-#include "OrxoBloxBot.h"//Remove??
+//#include "OrxoBloxBot.h"//Remove??
 #include "OrxoBloxStones.h"
 #include "OrxoBloxWall.h"
@@ -72,5 +72,5 @@
         this->futureWall_ = nullptr;
         this->player_ = nullptr;
-        
+        level_ = 0;
 
         this->setHUDTemplate("OrxoBloxHUD");
@@ -149,4 +149,5 @@
             this->ball_->setBatLength(this->center_->getBatLength());
 
+            level_=1;
 
             // Create the first Wall.
@@ -213,5 +214,12 @@
     //void startWall(void);
     
-
+    void OrxoBlox::LevelUp(){
+        level_++;
+        //When levelup? wo wird es ausgeloest?
+        //new location of ship
+        //new amount of balls
+        //create balls
+        //insert new wall
+    }
 
     void OrxoBlox::createWall(void){
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12331)
@@ -76,4 +76,6 @@
             OrxoBloxShip* getPlayer();
 
+            void LevelUp();
+
             /**
             @brief Set the OrxoBloxCenterpoint (the playing field).
@@ -97,4 +99,5 @@
             
             PlayerInfo* player_;
+            unsigned int level_;
 
             Timer starttimer_; //!< A timer to delay the start of the game.
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12331)
@@ -144,5 +144,5 @@
             // And its position is set as to not overstep the boundary it has just crossed.
             if (position.z > this->fieldHeight_ / 2)
-                position.z = this->fieldHeight_ / 2;
+                ChatManager::message("Ball hat das Feld verlassen.Jerome");
             if (position.z < -this->fieldHeight_ / 2)
                 position.z = -this->fieldHeight_ / 2;
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12331)
@@ -123,5 +123,5 @@
 
             
-            void applyBats(); //!< Get the bats over the network.
+
 
             static const float MAX_REL_Z_VELOCITY;
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxPrereqs.h	(revision 12331)
@@ -70,8 +70,7 @@
     class OrxoBlox;
     class OrxoBloxBall;
-    
     class OrxoBloxCenterpoint;
     class OrxoBloxWall;
-    class OrxobloxStones;
+    class OrxoBloxStones;
     class OrxoBloxShip;
 }
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.cc	(revision 12331)
@@ -18,5 +18,5 @@
 
         this->size_ = 10.0f;
-        this->health_ = 10;
+        this->health_ = 1 + static_cast<unsigned int>(rnd(6.0f)); //<! random number between 0 and 7;
         this->delay_ = false;
     }
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxStones.h	(revision 12331)
@@ -1,4 +1,7 @@
 #ifndef _OrxoBloxStones_H__
 #define _OrxoBloxStones_H__
+
+
+#include "OrxoBlox/OrxoBloxPrereqs.h"
 
 
@@ -24,4 +27,16 @@
             //}
 
+            /**
+            @brief Set the size of the stone.
+            @param size The dimensions a stone has in the game world. (A stone is a cube)
+            */
+            void setSize(float size)
+                { this->size_ = size; }
+            /**
+            @brief Get the size of the stone.
+            @return Returns the dimensions a stone has in the game world. (A stone is a cube)
+            */
+            float getSize(void) const
+                { return this->size_; }
             /**
             @brief Set the Health of the stone.
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.cc	(revision 12331)
@@ -4,4 +4,7 @@
 
 #include "OrxoBlox.h"
+#include "OrxoBloxStones.h"
+#include "OrxoBloxCenterpoint.h"
+#include "util/Math.h"
 
 namespace orxonox
@@ -16,11 +19,25 @@
         RegisterObject(OrxoBloxWall);
 
-        this->health_ = 1 + static_cast<unsigned int>(rnd(6.0f)); //<! random number between 0 and 7;
+        this->num_Stones_ = 1 + static_cast<unsigned int>(rnd(6.0f)); //<! random number between 0 and 7;
         this->delay_ = false;
         this->orxoblox_ = this->getOrxoBlox();
+        this->createWall();
+    }
 
 
-        OrxoBloxStones* stone = new OrxoBloxStones(this->getContext());
-        if(this->orxoblox_ != nullptr)
+    void OrxoBloxWall::createWall(void){
+
+        for (unsigned int i=0; i<this->num_Stones_;++i){
+            OrxoBloxStones* stone = new OrxoBloxStones(this->getContext());
+
+
+            this->TotalStones_.push_back(stone);
+            this->attach(stone);
+            
+            stone->setPosition(0.0f, i, 0.0f);
+
+
+
+            if(this->orxoblox_ != nullptr)
             {
                 stone->setGame(this->orxoblox_);
@@ -32,6 +49,28 @@
             else
                 orxout()<< "tetris_ == nullptr in TetrisBrick.cc"<< endl;
+
+        }
+
+
+
+        // OrxoBloxStones* stone = new OrxoBloxStones(this->getContext());
+        // if(this->orxoblox_ != nullptr)
+        //     {
+        //         stone->setGame(this->orxoblox_);
+        //         if(this->orxoblox_->getCenterpoint() != nullptr)
+        //             stone->addTemplate(this->orxoblox_->getCenterpoint()->getStoneTemplate());
+        //         else
+        //             orxout()<< "orxoblox_->getCenterpoint == nullptr in TetrisBrick.cc"<< endl;
+        //     }
+        //     else
+        //         orxout()<< "orxoblox_ == nullptr in TetrisBrick.cc"<< endl;
     }
 
+    OrxoBloxStones* OrxoBloxWall::getStone(unsigned int i)
+    {
+        if(i < this->TotalStones_.size())
+            return this->TotalStones_[i];
+        else return nullptr;
+    }
 
     OrxoBlox* OrxoBloxWall::getOrxoBlox()
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.h	(revision 12330)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxWall.h	(revision 12331)
@@ -2,5 +2,5 @@
 #define _OrxoBloxWall_H__
 
-
+#include "OrxoBlox/OrxoBloxPrereqs.h"
 #include "worldentities/StaticEntity.h"
 #include "tools/Timer.h"
@@ -23,5 +23,5 @@
              //   this.destroy();
             //}
-
+            OrxoBloxStones* getStone(unsigned int i);
             /**
             @brief Set the Health of the stone.
@@ -30,6 +30,7 @@
             void setHealth(unsigned int health)
                 { 
-                    this->health_ = health; 
+                    this->totalhealth_ = health; 
                 }
+
             /**
             @brief Get the size of the stone.
@@ -37,17 +38,14 @@
             */
             unsigned int getHealth(void) const
-                { return this->health_; }
+                { return this->totalhealth_; }
 
-            void gotHit(){
-                if (this->health_ > 0){
-                    this->health_ -= this->health_; 
-                    }
-                //  else ~OrxoBloxStones();
-                }
             void setGame(OrxoBlox* orxoblox)
                 { assert(orxoblox); orxoblox_ = orxoblox; }
         private:
+            void createWall(void);
             OrxoBlox* getOrxoBlox();
-            unsigned int health_;
+            unsigned int totalhealth_;
+            unsigned int num_Stones_;
+            std::vector<OrxoBloxStones*> TotalStones_; //!< A list of all stones in a Wall.
             bool delay_;
             OrxoBlox* orxoblox_;