Index: code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12335)
+++ code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12336)
@@ -16,5 +16,4 @@
   include("templates/spaceshipAssff2.oxt")
   include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipAsteroids2D.oxt")
   include("templates/spaceshipOrxoBlox.oxt")
   include("templates/enemyInvader.oxt")
@@ -104,5 +103,5 @@
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
     <Light type=directional position="-100, 10000, -700" lookat="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="0,150,0" lookat="0,0,0" spawnclass= OrxoBloxShip pawndesign=spaceshipasteroids2d/>
+    <SpawnPoint team=0 position="0,150,0" lookat="0,0,0" spawnclass= Asteroids2DShip />
 
     <!--<Model mesh="axes.mesh" scale=10 position="0,0,0" /> -->
@@ -111,10 +110,11 @@
     <MovableEntity rotationrate=0 rotationaxis="0,0,1">
       <attached>
-          <OrxoBloxCenterpoint name=OrxoBloxcenter dimension="120,100" balltemplate=OrxoBloxball battemplate=OrxoBloxbat ballspeed=200 ballaccfactor=1.0 batspeed=130 batlength=0.25 StoneTemplate=OrxoBloxstone WallTemplate=OrxoBloxwall>
+        <OrxoBloxCenterpoint name=OrxoBloxcenter dimension="100,100" balltemplate=OrxoBloxball battemplate=OrxoBloxbat ballspeed=200 ballaccfactor=1.0 batspeed=130 batlength=0.25 StoneTemplate=OrxoBloxstone WallTemplate=OrxoBloxwall>
+        
           <attached>
             <!-- Balken die das Spielfeld begrenzen. -->
-            <Model position="0,0,-50" mesh="cube.mesh" scale3D="60,1,1" />
-            <Model position="60,0,0" mesh="cube.mesh" scale3D="1,1,50"/>
-            <Model position="-60,0,0" mesh="cube.mesh" scale3D="1,1,50"/>
+            <Model position="0,0,-50" mesh="cube.mesh" scale3D="50,1,1" />
+            <Model position="50,0,0" mesh="cube.mesh" scale3D="1,1,50"/>
+            <Model position="-50,0,0" mesh="cube.mesh" scale3D="1,1,50"/>
           </attached>
         </OrxoBloxCenterpoint>
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12335)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12336)
@@ -143,5 +143,5 @@
             // Attach the ball to the centerpoint and set the parameters as specified in the centerpoint, the ball is attached to.
             this->center_->attach(this->ball_);
-            this->ball_->setPosition(0, 0, 50);
+            this->ball_->setPosition(0, 0, 40);
             this->ball_->setFieldDimension(this->center_->getFieldDimension());
             this->ball_->setSpeed(0);
@@ -202,4 +202,5 @@
         }
     }
+
 
     OrxoBloxShip* OrxoBlox::getPlayer()
Index: code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc
===================================================================
--- code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12335)
+++ code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.cc	(revision 12336)
@@ -143,8 +143,12 @@
             velocity.z = -velocity.z;
             // And its position is set as to not overstep the boundary it has just crossed.
-            if (position.z > this->fieldHeight_ / 2)
-                ChatManager::message("Ball hat das Feld verlassen.Jerome");
-            if (position.z < -this->fieldHeight_ / 2)
+            if (position.z > this->fieldHeight_ / 2){
+                ChatManager::message("Ball hat das Feld verlassen");
+                //TODO: ball zerstoeren
+            }
+            if (position.z < -this->fieldHeight_ / 2){
                 position.z = -this->fieldHeight_ / 2;
+                
+            }
 
             this->fireEvent();