Index: /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12336)
+++ /code/branches/OrxoBlox_FS19/data/levels/orxoblox.oxw	(revision 12337)
@@ -17,7 +17,4 @@
   include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipOrxoBlox.oxt")
-  include("templates/enemyInvader.oxt")
-  include("overlays/Asteroids2DHUD.oxo")
-  include("templates/asteroidsAsteroids2D.oxt")
 ?>
 
Index: /code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt
===================================================================
--- /code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12336)
+++ /code/branches/OrxoBlox_FS19/data/levels/templates/spaceshipOrxoBlox.oxt	(revision 12337)
@@ -1,3 +1,3 @@
-<Template name=spaceshipOrxBlox>
+<Template name=spaceshipOrxoBlox>
   <OrxoBloxShip
    hudtemplate            = spaceshiphud
@@ -43,6 +43,6 @@
   >
     <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipOrxoBloxdengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipOrxoBloxdengine />
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipOrxoBloxengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipOrxoBloxengine />
     </engines>
     <attached>
@@ -93,5 +93,5 @@
 </Template>
 
-<Template name=spaceshiporxobloxdengine baseclass=MultiStateEngine>
+<Template name=spaceshipOrxoBloxengine baseclass=MultiStateEngine>
   <MultiStateEngine
    boostfactor    = 2.2
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12336)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.cc	(revision 12337)
@@ -64,5 +64,5 @@
         Constructor. Registers and initializes the object.
     */
-    OrxoBlox::OrxoBlox(Context* context) : Deathmatch(context)
+    OrxoBlox::OrxoBlox(Context* context) : ::orxonox::Deathmatch::Deathmatch(context)
     {
         RegisterObject(OrxoBlox);
@@ -154,4 +154,8 @@
             this->createWall();
 
+            //Create Ship
+            //this->ship_ = new OrxoBloxShip(this->center_->getContext());
+            //this->ship_->setPosition(0, 0, 0);
+
         }
         else // If no centerpoint was specified, an error is thrown and the level is exited.
@@ -166,5 +170,5 @@
 
         // Set variable to temporarily force the player to spawn.
-        this->bForceSpawn_ = false;
+        this->bForceSpawn_ = true;
 
         // Call start for the parent class.
@@ -186,13 +190,19 @@
     }
 
-    /**
-    @brief
-        Spawns the input player.
-    @param player
-        The player to be spawned.
-    */
+    OrxoBloxShip* OrxoBlox::getPlayer()
+    {
+        if (playership == nullptr)
+        {
+            for (OrxoBloxShip* ship_ : ObjectList<OrxoBloxShip>())
+            {
+                playership = ship_;
+            }
+        }
+        return playership;
+    }
+   
     void OrxoBlox::spawnPlayer(PlayerInfo* player)
     {
-         assert(player);
+        assert(player);
 
         if(this->player_ == nullptr)
@@ -201,18 +211,8 @@
             this->players_[player].state_ = PlayerState::Alive;
         }
-    }
-
-
-    OrxoBloxShip* OrxoBlox::getPlayer()
-    {
-        for (OrxoBloxShip* ship : ObjectList<OrxoBloxShip>())
-        {
-            return ship;
-        }
-        return nullptr;
+
     }
 
     //void startWall(void);
-    
     void OrxoBlox::LevelUp(){
         level_++;
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12336)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBlox.h	(revision 12337)
@@ -43,4 +43,5 @@
 #include "OrxoBloxCenterpoint.h"
 #include "OrxoBloxWall.h"
+#include "OrxoBloxShip.h"
 
 namespace orxonox
@@ -72,7 +73,6 @@
             virtual void end() override; ///!< Ends the OrxoBlox minigame.
 
-            virtual void spawnPlayer(PlayerInfo* player) override; //!< Spawns the input player.
-
             OrxoBloxShip* getPlayer();
+            void spawnPlayer(PlayerInfo* Player) override;
 
             void LevelUp();
@@ -97,8 +97,8 @@
             WeakPtr<OrxoBloxCenterpoint> center_; //!< The playing field.
             WeakPtr<OrxoBloxBall> ball_; //!< The OrxoBlox ball.
+            unsigned int level_;
             
+            WeakPtr<OrxoBloxShip> playership;
             PlayerInfo* player_;
-            unsigned int level_;
-
             Timer starttimer_; //!< A timer to delay the start of the game.
             
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12336)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxBall.h	(revision 12337)
@@ -122,6 +122,8 @@
                 { return this->batlength_; }
 
+
+            void Bounce(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint);
             
-
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
             static const float MAX_REL_Z_VELOCITY;
@@ -133,6 +135,4 @@
             void setDefBoundarySound(const std::string& engineSound);
             const std::string& getDefBoundarySound();
-            void Bounce(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint);
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
         private:
Index: /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc
===================================================================
--- /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12336)
+++ /code/branches/OrxoBlox_FS19/src/modules/OrxoBlox/OrxoBloxShip.cc	(revision 12337)
@@ -34,5 +34,4 @@
 
 #include "OrxoBloxShip.h"
-#include "OrxoBloxShip.h"
 #include "core/CoreIncludes.h"
 
@@ -48,4 +47,5 @@
         this->width = 120;
         this->height = 100;
+        orxout() << "Spawned" << std::endl;
 
         //timer.setTimer(3.5f, true, createExecutor(createFunctor(&OrxoBloxShip::showorientation, this)));